Changeset 1958 for trunk


Ignore:
Timestamp:
Sep 12, 2013 12:19:17 AM (6 years ago)
Author:
tkr
Message:

Re-running autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/Cbc/configure

    r1945 r1958  
    10871087                          icl/link). Default when mentioned: mingw. Default
    10881088                          when not mentioned: disabled.
     1089
    10891090  --enable-static[=PKGS]
    10901091                          build static libraries [default=no]
     
    19992000echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    20002001  fi
     2002
     2003
     2004# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     2005if test "${enable_static_standardlibs+set}" = set; then
     2006  enableval="$enable_static_standardlibs"
     2007  case "$enableval" in
     2008     no | yes | auto ) ;;
     2009     *)
     2010       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     2011echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
     2012   { (exit 1); exit 1; }; } ;;
     2013   esac
     2014   use_static_standardlibs=$enableval
     2015else
     2016  use_static_standardlibs=no
     2017fi;
     2018
    20012019
    20022020
     
    28412859echo "$as_me: Overruling autoconf; cl does not recognise -g." >&6;}
    28422860    fi ;;
     2861  * )
     2862    CYGPATH_W=echo
     2863    ;;
    28432864esac
    28442865CFLAGS="$save_cflags"
     
    31353156    CFLAGS="$OPT_CFLAGS"
    31363157  fi
     3158
    31373159else
    31383160  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    33033325esac
    33043326
     3327# check whether to add flags for static linking against standard libraries to LDFLAGS
     3328if test x$use_static_standardlibs != xno ; then
     3329  case $build in
     3330    *-mingw*)
     3331      static_standardlib_flag=-static
     3332      ;;
     3333    *)
     3334      static_standardlib_flag=-static-libgcc
     3335      ;;
     3336  esac
     3337  case " $LDFLAGS " in
     3338    *" $static_standardlib_flag "* ) ;;
     3339    *)
     3340    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3341echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3342    coin_save_LDFLAGS="$LDFLAGS"
     3343    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3344    cat >conftest.$ac_ext <<_ACEOF
     3345/* confdefs.h.  */
     3346_ACEOF
     3347cat confdefs.h >>conftest.$ac_ext
     3348cat >>conftest.$ac_ext <<_ACEOF
     3349/* end confdefs.h.  */
     3350
     3351int
     3352main ()
     3353{
     3354int i=0;
     3355  ;
     3356  return 0;
     3357}
     3358_ACEOF
     3359rm -f conftest.$ac_objext conftest$ac_exeext
     3360if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3361  (eval $ac_link) 2>conftest.er1
     3362  ac_status=$?
     3363  grep -v '^ *+' conftest.er1 >conftest.err
     3364  rm -f conftest.er1
     3365  cat conftest.err >&5
     3366  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3367  (exit $ac_status); } &&
     3368         { ac_try='test -z "$ac_c_werror_flag"
     3369                         || test ! -s conftest.err'
     3370  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3371  (eval $ac_try) 2>&5
     3372  ac_status=$?
     3373  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3374  (exit $ac_status); }; } &&
     3375         { ac_try='test -s conftest$ac_exeext'
     3376  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3377  (eval $ac_try) 2>&5
     3378  ac_status=$?
     3379  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3380  (exit $ac_status); }; }; then
     3381  echo "$as_me:$LINENO: result: yes" >&5
     3382echo "${ECHO_T}yes" >&6
     3383else
     3384  echo "$as_me: failed program was:" >&5
     3385sed 's/^/| /' conftest.$ac_ext >&5
     3386
     3387echo "$as_me:$LINENO: result: no" >&5
     3388echo "${ECHO_T}no" >&6
     3389       LDFLAGS="$coin_save_LDFLAGS"
     3390       if test $use_static_standardlibs = yes ; then
     3391         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3392echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3393   { (exit 1); exit 1; }; }
     3394       fi
     3395
     3396fi
     3397rm -f conftest.err conftest.$ac_objext \
     3398      conftest$ac_exeext conftest.$ac_ext
     3399    ;;
     3400  esac
     3401fi
     3402
    33053403ac_ext=c
    33063404ac_cpp='$CPP $CPPFLAGS'
     
    33123410
    33133411 #Let's try if that overcomes configuration problem with VC++ 6.0
     3412
    33143413
    33153414ac_ext=cc
     
    38043903echo "$as_me: Overruling autoconf; cl does not recognise -g." >&6;}
    38053904    fi ;;
     3905  * )
     3906    CYGPATH_W=echo
     3907    ;;
    38063908esac
    38073909CXXFLAGS="$save_cxxflags"
     
    42614363esac
    42624364
     4365# check whether to add flag for static linking against standard libraries to LDFLAGS
     4366if test x$use_static_standardlibs != xno ; then
     4367  case $build in
     4368    *-mingw*)
     4369      static_standardlib_flag=-static
     4370      ;;
     4371    *)
     4372      static_standardlib_flag=-static-libstdc++
     4373      ;;
     4374  esac
     4375  case " $LDFLAGS " in
     4376    *" $static_standardlib_flag "* ) ;;
     4377    *)
     4378    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     4379echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     4380    coin_save_LDFLAGS="$LDFLAGS"
     4381    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     4382    cat >conftest.$ac_ext <<_ACEOF
     4383/* confdefs.h.  */
     4384_ACEOF
     4385cat confdefs.h >>conftest.$ac_ext
     4386cat >>conftest.$ac_ext <<_ACEOF
     4387/* end confdefs.h.  */
     4388
     4389int
     4390main ()
     4391{
     4392int i=0;
     4393  ;
     4394  return 0;
     4395}
     4396_ACEOF
     4397rm -f conftest.$ac_objext conftest$ac_exeext
     4398if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4399  (eval $ac_link) 2>conftest.er1
     4400  ac_status=$?
     4401  grep -v '^ *+' conftest.er1 >conftest.err
     4402  rm -f conftest.er1
     4403  cat conftest.err >&5
     4404  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4405  (exit $ac_status); } &&
     4406         { ac_try='test -z "$ac_cxx_werror_flag"
     4407                         || test ! -s conftest.err'
     4408  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4409  (eval $ac_try) 2>&5
     4410  ac_status=$?
     4411  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4412  (exit $ac_status); }; } &&
     4413         { ac_try='test -s conftest$ac_exeext'
     4414  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4415  (eval $ac_try) 2>&5
     4416  ac_status=$?
     4417  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4418  (exit $ac_status); }; }; then
     4419  echo "$as_me:$LINENO: result: yes" >&5
     4420echo "${ECHO_T}yes" >&6
     4421else
     4422  echo "$as_me: failed program was:" >&5
     4423sed 's/^/| /' conftest.$ac_ext >&5
     4424
     4425echo "$as_me:$LINENO: result: no" >&5
     4426echo "${ECHO_T}no" >&6
     4427       LDFLAGS="$coin_save_LDFLAGS"
     4428       if test $use_static_standardlibs = yes ; then
     4429         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     4430echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     4431   { (exit 1); exit 1; }; }
     4432       fi
     4433
     4434fi
     4435rm -f conftest.err conftest.$ac_objext \
     4436      conftest$ac_exeext conftest.$ac_ext
     4437    ;;
     4438  esac
     4439fi
     4440
    42634441ac_ext=c
    42644442ac_cpp='$CPP $CPPFLAGS'
     
    42884466  # On Cygwin and AIX, building DLLs doesn't work
    42894467  case $build in
    4290     *-cygwin*)
     4468    *-cygwin* | *-mingw*)
    42914469      coin_disable_shared=yes
    4292       platform=Cygwin
     4470      if test x"$enable_shared" = xyes; then
     4471        case "$CXX" in
     4472          clang* )
     4473            { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice." >&5
     4474echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice." >&2;}
     4475            ;;
     4476          cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     4477            { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&5
     4478echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&2;}
     4479            ;;
     4480          *)
     4481            { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice." >&5
     4482echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice." >&2;}
     4483            ;;
     4484        esac
     4485      fi
    42934486    ;;
    42944487    *-aix*)
    42954488      coin_disable_shared=yes
    42964489      platform=AIX
    4297     ;;
    4298     *-mingw*)
    4299       coin_disable_shared=yes
    4300       platform="Msys"
    4301 #      case "$CXX" in
    4302 #        cl*)
    4303 #          coin_disable_shared=yes
    4304 #          platform="Msys with cl"
    4305 #      ;;
    4306 #      esac
     4490      if test x"$enable_shared" = xyes; then
     4491        { echo "$as_me:$LINENO: WARNING: Shared objects are not supported. I'm disabling your choice." >&5
     4492echo "$as_me: WARNING: Shared objects are not supported. I'm disabling your choice." >&2;}
     4493      fi
    43074494    ;;
    43084495  esac
     
    43104497if test x"$coin_disable_shared" = xyes; then
    43114498  if test x"$enable_shared" = xyes; then
    4312     { echo "$as_me:$LINENO: WARNING: On $platform, shared objects are not supported. I'm disabling your choice." >&5
    4313 echo "$as_me: WARNING: On $platform, shared objects are not supported. I'm disabling your choice." >&2;}
     4499    :
    43144500  else
    43154501    # we don't disable shared, because it was not selected anyway
     
    60216207*-*-irix6*)
    60226208  # Find out which ABI we are using.
    6023   echo '#line 6023 "configure"' > conftest.$ac_ext
     6209  echo '#line 6209 "configure"' > conftest.$ac_ext
    60246210  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    60256211  (eval $ac_compile) 2>&5
     
    71557341
    71567342# Provide some information about the compiler.
    7157 echo "$as_me:7157:" \
     7343echo "$as_me:7343:" \
    71587344     "checking for Fortran 77 compiler version" >&5
    71597345ac_compiler=`set X $ac_compile; echo $2`
     
    82228408   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82238409   -e 's:$: $lt_compiler_flag:'`
    8224    (eval echo "\"\$as_me:8224: $lt_compile\"" >&5)
     8410   (eval echo "\"\$as_me:8410: $lt_compile\"" >&5)
    82258411   (eval "$lt_compile" 2>conftest.err)
    82268412   ac_status=$?
    82278413   cat conftest.err >&5
    8228    echo "$as_me:8228: \$? = $ac_status" >&5
     8414   echo "$as_me:8414: \$? = $ac_status" >&5
    82298415   if (exit $ac_status) && test -s "$ac_outfile"; then
    82308416     # The compiler can only warn and ignore the option if not recognized
     
    84908676   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84918677   -e 's:$: $lt_compiler_flag:'`
    8492    (eval echo "\"\$as_me:8492: $lt_compile\"" >&5)
     8678   (eval echo "\"\$as_me:8678: $lt_compile\"" >&5)
    84938679   (eval "$lt_compile" 2>conftest.err)
    84948680   ac_status=$?
    84958681   cat conftest.err >&5
    8496    echo "$as_me:8496: \$? = $ac_status" >&5
     8682   echo "$as_me:8682: \$? = $ac_status" >&5
    84978683   if (exit $ac_status) && test -s "$ac_outfile"; then
    84988684     # The compiler can only warn and ignore the option if not recognized
     
    85948780   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85958781   -e 's:$: $lt_compiler_flag:'`
    8596    (eval echo "\"\$as_me:8596: $lt_compile\"" >&5)
     8782   (eval echo "\"\$as_me:8782: $lt_compile\"" >&5)
    85978783   (eval "$lt_compile" 2>out/conftest.err)
    85988784   ac_status=$?
    85998785   cat out/conftest.err >&5
    8600    echo "$as_me:8600: \$? = $ac_status" >&5
     8786   echo "$as_me:8786: \$? = $ac_status" >&5
    86018787   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    86028788   then
     
    1093911125  lt_status=$lt_dlunknown
    1094011126  cat > conftest.$ac_ext <<EOF
    10941 #line 10941 "configure"
     11127#line 11127 "configure"
    1094211128#include "confdefs.h"
    1094311129
     
    1103911225  lt_status=$lt_dlunknown
    1104011226  cat > conftest.$ac_ext <<EOF
    11041 #line 11041 "configure"
     11227#line 11227 "configure"
    1104211228#include "confdefs.h"
    1104311229
     
    1338313569   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1338413570   -e 's:$: $lt_compiler_flag:'`
    13385    (eval echo "\"\$as_me:13385: $lt_compile\"" >&5)
     13571   (eval echo "\"\$as_me:13571: $lt_compile\"" >&5)
    1338613572   (eval "$lt_compile" 2>conftest.err)
    1338713573   ac_status=$?
    1338813574   cat conftest.err >&5
    13389    echo "$as_me:13389: \$? = $ac_status" >&5
     13575   echo "$as_me:13575: \$? = $ac_status" >&5
    1339013576   if (exit $ac_status) && test -s "$ac_outfile"; then
    1339113577     # The compiler can only warn and ignore the option if not recognized
     
    1348713673   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1348813674   -e 's:$: $lt_compiler_flag:'`
    13489    (eval echo "\"\$as_me:13489: $lt_compile\"" >&5)
     13675   (eval echo "\"\$as_me:13675: $lt_compile\"" >&5)
    1349013676   (eval "$lt_compile" 2>out/conftest.err)
    1349113677   ac_status=$?
    1349213678   cat out/conftest.err >&5
    13493    echo "$as_me:13493: \$? = $ac_status" >&5
     13679   echo "$as_me:13679: \$? = $ac_status" >&5
    1349413680   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1349513681   then
     
    1505715243   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1505815244   -e 's:$: $lt_compiler_flag:'`
    15059    (eval echo "\"\$as_me:15059: $lt_compile\"" >&5)
     15245   (eval echo "\"\$as_me:15245: $lt_compile\"" >&5)
    1506015246   (eval "$lt_compile" 2>conftest.err)
    1506115247   ac_status=$?
    1506215248   cat conftest.err >&5
    15063    echo "$as_me:15063: \$? = $ac_status" >&5
     15249   echo "$as_me:15249: \$? = $ac_status" >&5
    1506415250   if (exit $ac_status) && test -s "$ac_outfile"; then
    1506515251     # The compiler can only warn and ignore the option if not recognized
     
    1516115347   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1516215348   -e 's:$: $lt_compiler_flag:'`
    15163    (eval echo "\"\$as_me:15163: $lt_compile\"" >&5)
     15349   (eval echo "\"\$as_me:15349: $lt_compile\"" >&5)
    1516415350   (eval "$lt_compile" 2>out/conftest.err)
    1516515351   ac_status=$?
    1516615352   cat out/conftest.err >&5
    15167    echo "$as_me:15167: \$? = $ac_status" >&5
     15353   echo "$as_me:15353: \$? = $ac_status" >&5
    1516815354   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1516915355   then
     
    1736817554   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1736917555   -e 's:$: $lt_compiler_flag:'`
    17370    (eval echo "\"\$as_me:17370: $lt_compile\"" >&5)
     17556   (eval echo "\"\$as_me:17556: $lt_compile\"" >&5)
    1737117557   (eval "$lt_compile" 2>conftest.err)
    1737217558   ac_status=$?
    1737317559   cat conftest.err >&5
    17374    echo "$as_me:17374: \$? = $ac_status" >&5
     17560   echo "$as_me:17560: \$? = $ac_status" >&5
    1737517561   if (exit $ac_status) && test -s "$ac_outfile"; then
    1737617562     # The compiler can only warn and ignore the option if not recognized
     
    1763617822   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1763717823   -e 's:$: $lt_compiler_flag:'`
    17638    (eval echo "\"\$as_me:17638: $lt_compile\"" >&5)
     17824   (eval echo "\"\$as_me:17824: $lt_compile\"" >&5)
    1763917825   (eval "$lt_compile" 2>conftest.err)
    1764017826   ac_status=$?
    1764117827   cat conftest.err >&5
    17642    echo "$as_me:17642: \$? = $ac_status" >&5
     17828   echo "$as_me:17828: \$? = $ac_status" >&5
    1764317829   if (exit $ac_status) && test -s "$ac_outfile"; then
    1764417830     # The compiler can only warn and ignore the option if not recognized
     
    1774017926   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1774117927   -e 's:$: $lt_compiler_flag:'`
    17742    (eval echo "\"\$as_me:17742: $lt_compile\"" >&5)
     17928   (eval echo "\"\$as_me:17928: $lt_compile\"" >&5)
    1774317929   (eval "$lt_compile" 2>out/conftest.err)
    1774417930   ac_status=$?
    1774517931   cat out/conftest.err >&5
    17746    echo "$as_me:17746: \$? = $ac_status" >&5
     17932   echo "$as_me:17932: \$? = $ac_status" >&5
    1774717933   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1774817934   then
     
    2049820684          -e 's%lib /OUT:%lib -OUT:%' \
    2049920685          -e "s%cygpath -w%$CYGPATH_W%" \
    20500           -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\`lib -nologo -list \\$f_ex_an_ar_oldlib | xargs echo '"$mydos2unix"'\\`; echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$f_ex_an_ar_oldlib; done%' \
    20501           -e 's/$AR t/lib -nologo -list/' \
     20686          -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\$(lib -nologo -list \\$('"$CYGPATH_W \$1"') '"$mydos2unix"' | xargs echo); echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$('"$CYGPATH_W \$1"'); done%' \
     20687          -e 's%$AR t "$f_ex_an_ar_oldlib"%lib -nologo -list \$('"$CYGPATH_W \$1"') '"$mydos2unix"'%' \
    2050220688          -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
    2050320689          -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
Note: See TracChangeset for help on using the changeset viewer.